Bug 244127 - Win98 clients cannot access samba
Win98 clients cannot access samba
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Samba Maint Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 20:10 EDT by Nerijus Baliūnas
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-17 07:20:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2007-06-13 20:10:19 EDT
Win98 clients cannot access samba - for example, Start->Run->\\ip.add.re.ss from
win98 PC gives a message like "server unaccessible".
It works with both samba server from FC5 or FC6.
Comment 1 Simo Sorce 2007-06-14 09:18:26 EDT
Can you please provide logs (level 10 ) and your smb.conf ?
Comment 2 Dario Lesca 2007-06-14 19:11:08 EDT
I have the same problem.

I have used the original smb.conf, only modify security=share.
start samba: Win98 do not connect to the server

I have backup smb.conf, then remove samba-3.0.25a :
> mv smb.conf smb.conf.1
> rpm -e samba samba-client samba-common libsmbclient --nodepth

then install samba from fc6:
> rpm -ivh samba-3.0.24-5.fc6.i386.rpm \
> samba-client-3.0.24-5.fc6.i386.rpm \
> samba-common-3.0.24-5.fc6.i386.rpm

Restore the smb.conf.1 to smb.conf then restart samba:
Win98 now connect to the server.

Some information:

If I snif the network traffic (tcpdump -i eth0 host win98) I see notthimg come
to me from win98, also into log there is notthing. it seems that it does not
know who is the server.
Why? Because the port137/udp is not bind, Why? Because the nmbd daemon is not run.
I have run this daemon (nmbd -D) and the windows98 now work!

Why the start of nmbd has been removed from the init script?

This is diff from fc6 init script:
[root@s-sispac samba]# diff /etc/init.d/smb /tmp/smb-fc6 
4c4
< # description: Starts and stops the Samba smbd daemon \
---
> # description: Starts and stops the Samba smbd and nmbd daemons \
7a8
> # pidfile: /var/run/samba/nmbd.pid
45c46,51
<       [ $RETVAL -eq 0 ] && touch /var/lock/subsys/smb || \
---
>         KIND="NMB"
>       echo -n $"Starting $KIND services: "
>       daemon nmbd $NMBDOPTIONS
>       RETVAL2=$?
>       echo
>       [ $RETVAL -eq 0 -a $RETVAL2 -eq 0 ] && touch /var/lock/subsys/smb || \
56c62,67
<       [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/smb
---
>       KIND="NMB"
>       echo -n $"Shutting down $KIND services: "
>       killproc nmbd
>       RETVAL2=$?
>       [ $RETVAL -eq 0 -a $RETVAL2 -eq 0 ] && rm -f /var/lock/subsys/smb
>       echo ""
75c86,88
<       if [ $? -ne 0 ] ; then
---
>       RETVAL=$?
>       status nmbd
>       if [ $? -ne 0 -o $RETVAL -ne 0 ] ; then

Comment 3 Simo Sorce 2007-06-14 19:19:35 EDT
We split the init scripts into smb and nmb
do:
chkconfig nmb on
service nmb on

We did this to allow you to restart nmbd without killing smbd at the same time.

Ciao.
Comment 4 Nerijus Baliūnas 2007-06-17 07:20:41 EDT
Starting nmbd works here too. It's a bit strange though - nmbd is WINS daemon,
so it should not be required when I connect using IP address -
Start->Run->\\ip.add.re.ss. But as it works when nmb service is started, I'm
closing this bug.

Note You need to log in before you can comment on or make changes to this bug.